Skip to navigation

Delete Pronunciation Dictionary

View as Markdown
Delete an existing pronunciation dictionary for the authenticated user

Authentication

AuthorizationBearer

API key authentication. Include your key as Authorization: Bearer YOUR_API_KEY. POST /waves/v1/stt, the text-to-speech endpoints and the speech WebSockets also accept short-lived access tokens; other endpoints need an API key. See Token-based authentication.

Request

This endpoint expects an object.
idstringRequired>=1 character
ID of the pronunciation dictionary to delete

Response

Successfully deleted pronunciation dictionary
idstring
ID of the deleted pronunciation dictionary
deletedboolean
Confirmation that the dictionary was deleted

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error